import request from '@/utils/request'


export function searchAdminRole(data) {
  return request({
    url: '/admin/role/search',
    method: 'post',
    data
  })
}


export function createAdminRole(data) {
  return request({
    url: '/admin/role/create',
    method: 'post',
    data
  })
}



export function updateAdminRole(data) {
  return request({
    url: '/admin/role/update',
    method: 'post',
    data
  })
}


export function getAdminRoleInfo(data) {
  return request({
    url: '/admin/auth/selectInfo',
    method: 'post',
    data
  })
}



export function deleteAdminRole(data) {
  return request({
    url: '/admin/role/delete',
    method: 'post',
    data
  })
}

/* 权限 */
export function selectPermissions(data) {
  return request({
    url: '/permissions/selectPermissions',
    method: 'post',
    data
  })
}




